<?php

namespace EventPortal\AuthPassword\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class FirstTimeLogin
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (auth()->check() && auth()->user()->password_created_at === null) {
            return redirect()->route('create-password.index');
        }

        return $next($request);
    }
}
