<?php

namespace EventPortal\AuthPassword\Observers;

use EventPortal\AuthPassword\Mail\CreatePassword;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Mail;

class UserObserver
{
    public function created(Model $user): void
    {
        Mail::to($user->email)->send(new CreatePassword($user->password_token));
    }
}
